GroovyConsoleApplicationContext.1 (Grails 5.1.2)

Package: grails.ui.console.support

## [Groovy] Class GroovyConsoleApplicationContext.1

- grails.ui.console.support.GroovyConsoleApplicationContext.1

-     class GroovyConsoleApplicationContext.1
      extends groovy.console.ui.Console

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class groovy.console.ui.Console` | `ICON_PATH, NODE_ICON_PATH, __$stMC`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyConsoleApplicationContext.1 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `exit(java.util.EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.console.ui.Console` | `groovy.console.ui.Console#compileScript(java.util.EventObject), groovy.console.ui.Console#compileScript(), groovy.console.ui.Console#this$dist$invoke$1(java.lang.String, java.lang.Object), groovy.console.ui.Console#this$dist$set$1(java.lang.String, java.lang.Object), groovy.console.ui.Console#this$dist$get$1(java.lang.String), groovy.console.ui.Console#showMessage(java.lang.String), groovy.console.ui.Console#showExecutingMessage(), groovy.console.ui.Console#showCompilingMessage(), groovy.console.ui.Console#hideOutputWindow(java.util.EventObject), groovy.console.ui.Console#hideOutputWindow(), groovy.console.ui.Console#hideAndClearOutputWindow(), groovy.console.ui.Console#hideAndClearOutputWindow(java.util.EventObject), groovy.console.ui.Console#smallerFont(java.util.EventObject), groovy.console.ui.Console#smallerFont(), groovy.console.ui.Console#invokeTextAction(java.lang.Object, java.lang.Object), groovy.console.ui.Console#invokeTextAction(java.lang.Object, java.lang.Object, java.lang.Object), groovy.console.ui.Console#undo(), groovy.console.ui.Console#undo(java.util.EventObject), groovy.console.ui.Console#redo(), groovy.console.ui.Console#redo(java.util.EventObject), groovy.console.ui.Console#hyperlinkUpdate(javax.swing.event.HyperlinkEvent), groovy.console.ui.Console#getDEFAULT_SCRIPT_NAME_START(), groovy.console.ui.Console#getCaptureStdOut(), groovy.console.ui.Console#isCaptureStdOut(), groovy.console.ui.Console#setCaptureStdOut(boolean), groovy.console.ui.Console#getCaptureStdErr(), groovy.console.ui.Console#isCaptureStdErr(), groovy.console.ui.Console#setCaptureStdErr(boolean), groovy.console.ui.Console#getConsoleControllers(), groovy.console.ui.Console#setConsoleControllers(java.lang.Object), groovy.console.ui.Console#getSmartHighlighter(), groovy.console.ui.Console#isSmartHighlighter(), groovy.console.ui.Console#setSmartHighlighter(boolean), groovy.console.ui.Console#getFullStackTraces(), groovy.console.ui.Console#isFullStackTraces(), groovy.console.ui.Console#setFullStackTraces(boolean), groovy.console.ui.Console#getFullStackTracesAction(), groovy.console.ui.Console#setFullStackTracesAction(javax.swing.Action), groovy.console.ui.Console#getShowScriptInOutput(), groovy.console.ui.Console#isShowScriptInOutput(), groovy.console.ui.Console#setShowScriptInOutput(boolean), groovy.console.ui.Console#getShowScriptInOutputAction(), groovy.console.ui.Console#setShowScriptInOutputAction(javax.swing.Action), groovy.console.ui.Console#getVisualizeScriptResults(), groovy.console.ui.Console#isVisualizeScriptResults(), groovy.console.ui.Console#setVisualizeScriptResults(boolean), groovy.console.ui.Console#getVisualizeScriptResultsAction(), groovy.console.ui.Console#setVisualizeScriptResultsAction(javax.swing.Action), groovy.console.ui.Console#getShowToolbar(), groovy.console.ui.Console#isShowToolbar(), groovy.console.ui.Console#setShowToolbar(boolean), groovy.console.ui.Console#getToolbar(), groovy.console.ui.Console#setToolbar(java.awt.Component), groovy.console.ui.Console#getShowToolbarAction(), groovy.console.ui.Console#setShowToolbarAction(javax.swing.Action), groovy.console.ui.Console#getDetachedOutput(), groovy.console.ui.Console#isDetachedOutput(), groovy.console.ui.Console#setDetachedOutput(boolean), groovy.console.ui.Console#getDetachedOutputAction(), groovy.console.ui.Console#setDetachedOutputAction(javax.swing.Action), groovy.console.ui.Console#getOrientationVertical(), groovy.console.ui.Console#isOrientationVertical(), groovy.console.ui.Console#setOrientationVertical(boolean), groovy.console.ui.Console#getOrientationVerticalAction(), groovy.console.ui.Console#setOrientationVerticalAction(javax.swing.Action), groovy.console.ui.Console#getShowOutputWindowAction(), groovy.console.ui.Console#setShowOutputWindowAction(javax.swing.Action), groovy.console.ui.Console#getHideOutputWindowAction1(), groovy.console.ui.Console#setHideOutputWindowAction1(javax.swing.Action), groovy.console.ui.Console#getHideOutputWindowAction2(), groovy.console.ui.Console#setHideOutputWindowAction2(javax.swing.Action), groovy.console.ui.Console#getHideOutputWindowAction3(), groovy.console.ui.Console#setHideOutputWindowAction3(javax.swing.Action), groovy.console.ui.Console#getHideOutputWindowAction4(), groovy.console.ui.Console#setHideOutputWindowAction4(javax.swing.Action), groovy.console.ui.Console#getOrigDividerSize(), groovy.console.ui.Console#setOrigDividerSize(int), groovy.console.ui.Console#getOutputWindow(), groovy.console.ui.Console#setOutputWindow(java.awt.Component), groovy.console.ui.Console#getCopyFromComponent(), groovy.console.ui.Console#setCopyFromComponent(java.awt.Component), groovy.console.ui.Console#getBlank(), groovy.console.ui.Console#setBlank(java.awt.Component), groovy.console.ui.Console#getScrollArea(), groovy.console.ui.Console#setScrollArea(java.awt.Component), groovy.console.ui.Console#getAutoClearOutput(), groovy.console.ui.Console#captureStdOut(java.util.EventObject), groovy.console.ui.Console#isAutoClearOutput(), groovy.console.ui.Console#setAutoClearOutput(boolean), groovy.console.ui.Console#getAutoClearOutputAction(), groovy.console.ui.Console#setAutoClearOutputAction(javax.swing.Action), groovy.console.ui.Console#getThreadInterrupt(), groovy.console.ui.Console#isThreadInterrupt(), groovy.console.ui.Console#setThreadInterrupt(boolean), groovy.console.ui.Console#getThreadInterruptAction(), groovy.console.ui.Console#setThreadInterruptAction(javax.swing.Action), groovy.console.ui.Console#getSaveOnRunAction(), groovy.console.ui.Console#setSaveOnRunAction(javax.swing.Action), groovy.console.ui.Console#getSaveOnRun(), groovy.console.ui.Console#isSaveOnRun(), groovy.console.ui.Console#setSaveOnRun(boolean), groovy.console.ui.Console#getLoopModeAction(), groovy.console.ui.Console#setLoopModeAction(javax.swing.Action), groovy.console.ui.Console#getLoopMode(), groovy.console.ui.Console#isLoopMode(), groovy.console.ui.Console#setLoopMode(boolean), groovy.console.ui.Console#getInputAreaContentHash(), groovy.console.ui.Console#setInputAreaContentHash(int), groovy.console.ui.Console#getIndy(), groovy.console.ui.Console#getIndyAction(), groovy.console.ui.Console#setIndyAction(javax.swing.Action), groovy.console.ui.Console#getUseScriptClassLoaderForScriptExecution(), groovy.console.ui.Console#isUseScriptClassLoaderForScriptExecution(), groovy.console.ui.Console#setUseScriptClassLoaderForScriptExecution(boolean), groovy.console.ui.Console#getMaxHistory(), groovy.console.ui.Console#setMaxHistory(int), groovy.console.ui.Console#getMaxOutputChars(), groovy.console.ui.Console#setMaxOutputChars(int), groovy.console.ui.Console#getOutputPrintWriter(), groovy.console.ui.Console#setOutputPrintWriter(java.io.PrintWriter), groovy.console.ui.Console#getSwing(), groovy.console.ui.Console#setSwing(groovy.swing.SwingBuilder), groovy.console.ui.Console#getInputEditor(), groovy.console.ui.Console#setInputEditor(groovy.console.ui.ConsoleTextEditor), groovy.console.ui.Console#getSplitPane(), groovy.console.ui.Console#setSplitPane(javax.swing.JSplitPane), groovy.console.ui.Console#getInputArea(), groovy.console.ui.Console#setInputArea(javax.swing.JTextPane), groovy.console.ui.Console#getOutputArea(), groovy.console.ui.Console#getStatusLabel(), groovy.console.ui.Console#setStatusLabel(javax.swing.JLabel), groovy.console.ui.Console#getRowNumAndColNum(), groovy.console.ui.Console#setRootElement(javax.swing.text.Element), groovy.console.ui.Console#getCursorPos(), groovy.console.ui.Console#setCursorPos(int), groovy.console.ui.Console#getRowNum(), groovy.console.ui.Console#setRowNum(int), groovy.console.ui.Console#getColNum(), groovy.console.ui.Console#setColNum(int), groovy.console.ui.Console#getPromptStyle(), groovy.console.ui.Console#setPromptStyle(javax.swing.text.Style), groovy.console.ui.Console#getCommandStyle(), groovy.console.ui.Console#setCommandStyle(javax.swing.text.Style), groovy.console.ui.Console#getOutputStyle(), groovy.console.ui.Console#setOutputStyle(javax.swing.text.Style), groovy.console.ui.Console#getStacktraceStyle(), groovy.console.ui.Console#setStacktraceStyle(javax.swing.text.Style), groovy.console.ui.Console#getHyperlinkStyle(), groovy.console.ui.Console#setHyperlinkStyle(javax.swing.text.Style), groovy.console.ui.Console#getResultStyle(), groovy.console.ui.Console#setResultStyle(javax.swing.text.Style), groovy.console.ui.Console#getHistoryIndex(), groovy.console.ui.Console#setHistoryIndex(int), groovy.console.ui.Console#getPendingRecord(), groovy.console.ui.Console#setPendingRecord(groovy.console.ui.HistoryRecord), groovy.console.ui.Console#getPrevHistoryAction(), groovy.console.ui.Console#setPrevHistoryAction(javax.swing.Action), groovy.console.ui.Console#getNextHistoryAction(), groovy.console.ui.Console#setNextHistoryAction(javax.swing.Action), groovy.console.ui.Console#getDirty(), groovy.console.ui.Console#getSaveAction(), groovy.console.ui.Console#setSaveAction(javax.swing.Action), groovy.console.ui.Console#getTextSelectionStart(), groovy.console.ui.Console#setTextSelectionStart(int), groovy.console.ui.Console#getTextSelectionEnd(), groovy.console.ui.Console#setTextSelectionEnd(int), groovy.console.ui.Console#getCurrentFileChooserDir(), groovy.console.ui.Console#setCurrentFileChooserDir(java.io.File), groovy.console.ui.Console#getCurrentClasspathJarDir(), groovy.console.ui.Console#setCurrentClasspathJarDir(java.io.File), groovy.console.ui.Console#getCurrentClasspathDir(), groovy.console.ui.Console#setCurrentClasspathDir(java.io.File), groovy.console.ui.Console#getBaseConfig(), groovy.console.ui.Console#setBaseConfig(org.codehaus.groovy.control.CompilerConfiguration), groovy.console.ui.Console#getShell(), groovy.console.ui.Console#setShell(groovy.lang.GroovyShell), groovy.console.ui.Console#getScriptNameCounter(), groovy.console.ui.Console#setScriptNameCounter(int), groovy.console.ui.Console#getSystemOutInterceptor(), groovy.console.ui.Console#setSystemOutInterceptor(groovy.console.ui.SystemOutputInterceptor), groovy.console.ui.Console#getSystemErrorInterceptor(), groovy.console.ui.Console#setSystemErrorInterceptor(groovy.console.ui.SystemOutputInterceptor), groovy.console.ui.Console#getRunThread(), groovy.console.ui.Console#selectAll(), groovy.console.ui.Console#selectAll(java.util.EventObject), groovy.console.ui.Console#setRunThread(java.lang.Thread), groovy.console.ui.Console#getBeforeExecution(), groovy.console.ui.Console#setBeforeExecution(groovy.lang.Closure), groovy.console.ui.Console#getAfterExecution(), groovy.console.ui.Console#setAfterExecution(groovy.lang.Closure), groovy.console.ui.Console#getGroovyFileFilter(), groovy.console.ui.Console#setGroovyFileFilter(java.lang.Object), groovy.console.ui.Console#getScriptRunning(), groovy.console.ui.Console#isScriptRunning(), groovy.console.ui.Console#setScriptRunning(boolean), groovy.console.ui.Console#getStackOverFlowError(), groovy.console.ui.Console#isStackOverFlowError(), groovy.console.ui.Console#setStackOverFlowError(boolean), groovy.console.ui.Console#getInterruptAction(), groovy.console.ui.Console#setInterruptAction(javax.swing.Action), groovy.console.ui.Console#getSelectWordAction(), groovy.console.ui.Console#setSelectWordAction(javax.swing.Action), groovy.console.ui.Console#getSelectPreviousWordAction(), groovy.console.ui.Console#setSelectPreviousWordAction(javax.swing.Action), groovy.console.ui.Console#getConsolePreferences(), groovy.console.ui.Console#setConsolePreferences(groovy.console.ui.ConsolePreferences), groovy.console.ui.Console#getFrameConsoleDelegates(), groovy.console.ui.Console#setFrameConsoleDelegates(java.lang.Object), groovy.console.ui.Console#beep(), groovy.console.ui.Console#setOutputArea(javax.swing.JTextPane), groovy.console.ui.Console#setConfig(org.codehaus.groovy.control.CompilerConfiguration), groovy.console.ui.Console#threadInterruption(java.util.EventObject), groovy.console.ui.Console#caretUpdate(javax.swing.event.CaretEvent), groovy.console.ui.Console#setRowNumAndColNum(javax.swing.JLabel), groovy.console.ui.Console#setRowNumAndColNum(), groovy.console.ui.Console#clearOutput(java.util.EventObject), groovy.console.ui.Console#clearOutput(), groovy.console.ui.Console#askToInterruptScript(), groovy.console.ui.Console#doInterrupt(java.util.EventObject), groovy.console.ui.Console#doInterrupt(), groovy.console.ui.Console#exitDesktop(java.util.EventObject), groovy.console.ui.Console#exitDesktop(java.util.EventObject, java.lang.Object), groovy.console.ui.Console#exitDesktop(), groovy.console.ui.Console#fileNewFile(java.util.EventObject), groovy.console.ui.Console#fileNewFile(), groovy.console.ui.Console#setDirty(boolean), groovy.console.ui.Console#fileNewWindow(), groovy.console.ui.Console#fileNewWindow(java.util.EventObject), groovy.console.ui.Console#fileOpen(), groovy.console.ui.Console#fileOpen(java.util.EventObject), groovy.console.ui.Console#selectFilename(java.lang.Object), groovy.console.ui.Console#selectFilename(), groovy.console.ui.Console#loadScriptFile(java.io.File), groovy.console.ui.Console#fileSaveAs(), groovy.console.ui.Console#fileSaveAs(java.util.EventObject), groovy.console.ui.Console#finishException(java.lang.Throwable, boolean), groovy.console.ui.Console#showOutputWindow(java.util.EventObject), groovy.console.ui.Console#showOutputWindow(), groovy.console.ui.Console#finishNormal(java.lang.Object), groovy.console.ui.Console#compileFinishNormal(), groovy.console.ui.Console#historyNext(java.util.EventObject), groovy.console.ui.Console#historyNext(), groovy.console.ui.Console#historyPrev(java.util.EventObject), groovy.console.ui.Console#historyPrev(), groovy.console.ui.Console#inspectLast(java.util.EventObject), groovy.console.ui.Console#inspectLast(), groovy.console.ui.Console#inspectVariables(java.util.EventObject), groovy.console.ui.Console#inspectVariables(), groovy.console.ui.Console#inspectAst(java.util.EventObject), groovy.console.ui.Console#inspectAst(), groovy.console.ui.Console#inspectCst(), groovy.console.ui.Console#inspectCst(java.util.EventObject), groovy.console.ui.Console#inspectTokens(java.util.EventObject), groovy.console.ui.Console#inspectTokens(), groovy.console.ui.Console#largerFont(), groovy.console.ui.Console#largerFont(java.util.EventObject), groovy.console.ui.Console#getConsoleId(), groovy.console.ui.Console#runSelectedScript(java.util.EventObject), groovy.console.ui.Console#runSelectedScript(), groovy.console.ui.Console#addClasspathJar(java.util.EventObject), groovy.console.ui.Console#addClasspathJar(), groovy.console.ui.Console#addClasspathDir(), groovy.console.ui.Console#addClasspathDir(java.util.EventObject), groovy.console.ui.Console#listClasspath(java.util.EventObject), groovy.console.ui.Console#listClasspath(), groovy.console.ui.Console#clearContext(java.util.EventObject), groovy.console.ui.Console#clearContext(), groovy.console.ui.Console#showAbout(), groovy.console.ui.Console#showAbout(java.util.EventObject), groovy.console.ui.Console#findPrevious(), groovy.console.ui.Console#findPrevious(java.util.EventObject), groovy.console.ui.Console#selectBlock(java.util.EventObject), groovy.console.ui.Console#selectBlock(), groovy.console.ui.Console#loadMaxOutputChars(), groovy.console.ui.Console#setOutputPreferences(boolean, java.io.File), groovy.console.ui.Console#closeOutputPrintWriter(), groovy.console.ui.Console#createOutputPrintWriter(java.io.File), groovy.console.ui.Console#bindResults(), groovy.console.ui.Console#installInterceptor(), groovy.console.ui.Console#updateTitle(), groovy.console.ui.Console#notifySystemOut(int, java.lang.String), groovy.console.ui.Console#notifySystemErr(int, java.lang.String), groovy.console.ui.Console#addToHistory(java.lang.Object), groovy.console.ui.Console#appendOutput(java.lang.String, javax.swing.text.AttributeSet), groovy.console.ui.Console#appendOutput(java.awt.Window, javax.swing.text.AttributeSet), groovy.console.ui.Console#appendOutput(java.lang.Object, javax.swing.text.AttributeSet), groovy.console.ui.Console#appendOutput(java.awt.Component, javax.swing.text.AttributeSet), groovy.console.ui.Console#appendOutput(javax.swing.Icon, javax.swing.text.AttributeSet), groovy.console.ui.Console#appendStacktrace(java.lang.Object), groovy.console.ui.Console#insertString(javax.swing.text.Document, int, java.lang.String, javax.swing.text.AttributeSet), groovy.console.ui.Console#insertString(javax.swing.text.Document, int, java.lang.String, javax.swing.text.AttributeSet, boolean), groovy.console.ui.Console#appendOutputNl(java.lang.Object, java.lang.Object), groovy.console.ui.Console#appendOutputLines(java.lang.Object, java.lang.Object), groovy.console.ui.Console#askToSaveFile(), groovy.console.ui.Console#fileSave(java.util.EventObject), groovy.console.ui.Console#fileSave(), groovy.console.ui.Console#getLastResult(), groovy.console.ui.Console#getHistory(), groovy.console.ui.Console#runScript(java.util.EventObject), groovy.console.ui.Console#runScript(), groovy.console.ui.Console#newScript(java.lang.ClassLoader, groovy.lang.Binding), groovy.console.ui.Console#setVariable(java.lang.String, java.lang.Object), groovy.console.ui.Console#indy(java.util.EventObject), groovy.console.ui.Console#indy(), groovy.console.ui.Console#__$swapInit(), groovy.console.ui.Console#getConfig(), groovy.console.ui.Console#dot(javax.swing.event.CaretEvent), groovy.console.ui.Console#findNext(java.util.EventObject), groovy.console.ui.Console#findNext(), groovy.console.ui.Console#isIndy(), groovy.console.ui.Console#getScriptFile(), groovy.console.ui.Console#setScriptFile(java.lang.Object), groovy.console.ui.Console#getRootElement(), groovy.console.ui.Console#captureStdErr(java.util.EventObject), groovy.console.ui.Console#smartHighlighter(java.util.EventObject), groovy.console.ui.Console#smartHighlighter(), groovy.console.ui.Console#fullStackTraces(java.util.EventObject), groovy.console.ui.Console#showScriptInOutput(java.util.EventObject), groovy.console.ui.Console#visualizeScriptResults(java.util.EventObject), groovy.console.ui.Console#showToolbar(java.util.EventObject), groovy.console.ui.Console#detachedOutput(java.util.EventObject), groovy.console.ui.Console#orientationVertical(java.util.EventObject), groovy.console.ui.Console#autoClearOutput(java.util.EventObject), groovy.console.ui.Console#saveOnRun(java.util.EventObject), groovy.console.ui.Console#saveOnRun(), groovy.console.ui.Console#loopMode(java.util.EventObject), groovy.console.ui.Console#loopMode(), groovy.console.ui.Console#isDirty(), groovy.console.ui.Console#cut(), groovy.console.ui.Console#cut(java.util.EventObject), groovy.console.ui.Console#paste(), groovy.console.ui.Console#paste(java.util.EventObject), groovy.console.ui.Console#setFrame(javax.swing.RootPaneContainer), groovy.console.ui.Console#getFrame(), groovy.console.ui.Console#componentResized(java.awt.event.ComponentEvent), groovy.console.ui.Console#componentMoved(java.awt.event.ComponentEvent), groovy.console.ui.Console#componentShown(java.awt.event.ComponentEvent), groovy.console.ui.Console#componentHidden(java.awt.event.ComponentEvent), groovy.console.ui.Console#focusGained(java.awt.event.FocusEvent), groovy.console.ui.Console#focusLost(java.awt.event.FocusEvent), groovy.console.ui.Console#setIndy(boolean), groovy.console.ui.Console#setHistory(java.util.List), groovy.console.ui.Console#preferences(), groovy.console.ui.Console#preferences(java.util.EventObject), groovy.console.ui.Console#main([Ljava.lang.String;), groovy.console.ui.Console#run(javax.swing.JApplet), groovy.console.ui.Console#run(java.util.Map), groovy.console.ui.Console#run(), groovy.console.ui.Console#exit(), groovy.console.ui.Console#exit(java.util.EventObject), groovy.console.ui.Console#replace(), groovy.console.ui.Console#replace(java.util.EventObject), groovy.console.ui.Console#find(java.util.EventObject), groovy.console.ui.Console#find(), groovy.console.ui.Console#print(), groovy.console.ui.Console#print(java.util.EventObject), groovy.console.ui.Console#copy(), groovy.console.ui.Console#copy(java.util.EventObject), groovy.console.ui.Console#mark(javax.swing.event.CaretEvent), groovy.console.ui.Console#comment(), groovy.console.ui.Console#comment(java.util.EventObject), groovy.console.ui.Console#getMetaClass(), groovy.console.ui.Console#setMetaClass(groovy.lang.MetaClass), groovy.console.ui.Console#wait(long, int), groovy.console.ui.Console#wait(long), groovy.console.ui.Console#wait(), groovy.console.ui.Console#equals(java.lang.Object), groovy.console.ui.Console#toString(), groovy.console.ui.Console#hashCode(), groovy.console.ui.Console#getClass(), groovy.console.ui.Console#notify(), groovy.console.ui.Console#notifyAll(), groovy.console.ui.Console#setProperty(java.lang.String, java.lang.Object), groovy.console.ui.Console#getProperty(java.lang.String), groovy.console.ui.Console#invokeMethod(java.lang.String, java.lang.Object)`

- - ### Constructor Detail

    - #### GroovyConsoleApplicationContext.1()

  - ### Method Detail

    - #### @java.lang.Override boolean exit(java.util.EventObject evt)